View procedures (beta)

🚧

Beta

Send Nex-Api-Version: v3.1.0 to use this endpoint. It is still changing, and access is limited to approved partner institutions. Contact NexHealth before you build on it.

Changed from v3.0.0: Adds response fields data[].foreign_id, data[].treatment_plan_ids.

This endpoint returns a list of procedures.
You can filter by provider_id, patient_id, appointment_id, started_after, started_before, ended_after, ended_before or
updated_since. You must provide at least one filter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Used to scope the request to the specified institution

string

Optional comma-separated string of fields to sort on.
Include a leading dash for descending order.

Available fields:

  • updated_at
  • -updated_at
int32

Filter for specific location

int32

Filter for specific provider

int32

Filter for specific patient

int32

Filter for specific appointment

date-time

Procedures updated after the specified time (UTC)

date

Filter for procedures with start_date after a specific date (including the date)

date

Filter for procedures with start_date before a specific date (including the date)

date

Filter for procedures with end_date after a specific date (including the date)

date

Filter for procedures with end_date before a specific date (including the date)

string

First item of the current page. Starts empty

string

Last item of the current page. Starts empty

int32
Defaults to 5

Number of results to return per page. Maximum allowed amount is 1000.

Headers
string
required
Defaults to v3.1.0

The NexHealth API version

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
ChangelogMCP serverErrorsdevelopers@nexhealth.com